### Method

# Gimp Image get_selected_drawables

#### Declaration [src]

    GimpItem**
    gimp_image_get_selected_drawables (
      GimpImage* image,
      gint* num_drawables
    )

#### Description [src]

Get the image’s selected drawables

This procedure returns the list of selected drawable in the specified image. This can be either layers, channels, or a layer mask. The active drawables are the active image channels. If there are none, these are the active image layers. If the active image layer has a layer mask and the layer mask is in edit mode, then the layer mask is the active drawable.

Available since: | 3.0.0

#### Parameters

`num_drawables` | `gint*`
| The number of selected drawables in the image.
| The argument will be set by the function.

#### Return value

Returns: | An array of `None`

         The list of selected drawables in the image.
         The returned value must be freed with g_free().

| The length of the array is in the `num_drawables` argument.
| The caller of the method takes ownership of the data container, but not the data inside it.